<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="unity" type="Microsoft.Practices.Unity.Configuration.UnityConfigurationSection,Unity.Configuration" />
  </configSections>
  <unity>
    <assembly name="FLY.Thick.Base.UI" />
    <namespace name="FLY.Thick.Base.UI.OnInit" />
    <alias alias="IOnInit" type="MultiLayout.UiModule.IOnInit, MultiLayout" />
    <container>
      <register type="IOnInit" mapTo="OnInitAutoScan" name="autoscan">
        <lifetime type="singleton" />
      </register>
      <register type="IOnInit" mapTo="OnInitGageCommand" name="gageCmd">
        <lifetime type="singleton" />
      </register>
      <register type="IOnInit" mapTo="OnInitControllerState" name="controllerState">
        <lifetime type="singleton" />
      </register>
      <register type="IOnInit" mapTo="OnInitError" name="error">
        <lifetime type="singleton" />
      </register>
    </container>
  </unity>
</configuration>